Bug 208181 - Overlapping source and destination in strcpy() call reported by valgrind
Overlapping source and destination in strcpy() call reported by valgrind
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 16:13 EDT by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-29 15:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 424229 None None None Never

  None (edit)
Description Kjartan Maraas 2006-09-26 16:13:33 EDT
Description of problem:

Backtrace:

==32442== Source and destination overlap in strcpy(0x4852F88, 0x4852F8C)
==32442==    at 0x4006AAD: strcpy (mc_replace_strmem.c:106)
==32442==    by 0x8060AF6: gdm_lang_name (string3.h:118)
==32442==    by 0x8052903: greeter_language_handler (greeter_action_language.c:86)
==32442==    by 0x80550B9: greeter_item_run_action_callback (greeter_events.c:139)
==32442==    by 0x805526D: greeter_item_event_handler (greeter_events.c:184)
==32442==    by 0x869E45: gnome_canvas_marshal_BOOLEAN__BOXED
(gnome-canvas-marshal.c:125)
==32442==    by 0x7BDF0A: g_closure_invoke (gclosure.c:490)
==32442==    by 0x7CEE82: signal_emit_unlocked_R (gsignal.c:2438)
==32442==    by 0x7D0146: g_signal_emit_valist (gsignal.c:2207)
==32442==    by 0x7D0538: g_signal_emit (gsignal.c:2241)
==32442==    by 0x86529D: emit_event (gnome-canvas.c:2570)
==32442==    by 0x866A54: gnome_canvas_button (gnome-canvas.c:2785)
==32442==    by 0x627569F: _gtk_marshal_BOOLEAN__BOXED (gtkmarshalers.c:83)
==32442==    by 0x7BC6F8: g_type_class_meta_marshal (gclosure.c:567)
==32442==    by 0x7BDF0A: g_closure_invoke (gclosure.c:490)
==32442==    by 0x7CF4D2: signal_emit_unlocked_R (gsignal.c:2476)
==32442==    by 0x7D0146: g_signal_emit_valist (gsignal.c:2207)
==32442==    by 0x7D0538: g_signal_emit (gsignal.c:2241)
==32442==    by 0x63897E7: gtk_widget_event_internal (gtkwidget.c:3901)
==32442==    by 0x626EB42: gtk_propagate_event (gtkmain.c:2188)
==32442==    by 0x626FD46: gtk_main_do_event (gtkmain.c:1422)
==32442==    by 0xD431D9: gdk_event_dispatch (gdkevents-x11.c:2320)
==32442==    by 0x722341: g_main_context_dispatch (gmain.c:2045)
==32442==    by 0x72531E: g_main_context_iterate (gmain.c:2677)
==32442==    by 0x7256C8: g_main_loop_run (gmain.c:2881)
==32442==    by 0x62701C3: gtk_main (gtkmain.c:1001)
==32442==    by 0x8050586: main (greeter.c:1438)

Not sure where valgrind gets the string3.h file from, but the gdm_lang_name()
function is in gdmlanguages.c

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2007-03-29 15:21:12 EDT
should be fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.